clearvars; close all; clc;

K=[1 .1
   .1 1];
% K=[1 .5
%    .5 1];
% K=[1 -.9
%    -.9 1];

xPDF = -3.5:.1:3.5;
yPDF = -3:.1:3;

[xPDFmesh, yPDFmesh] = meshgrid(xPDF,yPDF);
sizeMesh = size(xPDFmesh);
totalPoints = sizeMesh(1)*sizeMesh(2);
diffMesh = [reshape(xPDFmesh,1,totalPoints);reshape(yPDFmesh,1,totalPoints)];

zPDFmesh = exp(diag(-.5*diffMesh'*(K\diffMesh))')/(det(2*pi*K)^.5);
zPDFmesh = reshape(zPDFmesh, sizeMesh);

figure(1)
contour(xPDFmesh,yPDFmesh,zPDFmesh,0:.02:.4);
xlabel('y_1');
ylabel('y_2');
axis([-3.5 3.5 -3 3]);
